/**
 * \file gre/dlgdatatip.h
 * \brief GRE::DLG_DATATIPSETTINGS
 *
 * \if NODOC
 * $Id: dlgdatatip.h_v 1.3 2008/08/28 13:17:46 mju Exp $
 *
 * $Log: dlgdatatip.h_v $
 * Revision 1.3  2008/08/28 13:17:46  mju
 * Fix doxygen comments.
 *
 * \endif
**/

#ifndef	INC_GRE_DLGDATATIPSETTINGS
#define	INC_GRE_DLGDATATIPSETTINGS

#ifndef	INC_GRE_BASE_H
#include <gre/base.h>
#endif

#ifndef	INC_GRE_UIDATATIP_H
#include <gre/uidatatip.h>
#endif

#ifndef	INC_MGUI_DLGSHELL_H
#include <mgui/dlgshell.h>
#endif

#ifndef	INC_MGUI_CTRL_H
#include <mgui/ctrl.h>
#endif

#ifndef	INC_MGUI_EDIT_H
#include <mgui/edit.h>
#endif

#ifndef	GENERATING_DOXYGEN_OUTPUT
namespace RVC {
	class OBJITEM;
	}
#endif


namespace GRE {

//! Dialog to specify DataTip settings for layer.
class DLG_DATATIPSETTINGS : public MGUI::DLGSHELL {
	public:

		DLG_DATATIPSETTINGS (
			GRE::LAYER *layer
			);

		~DLG_DATATIPSETTINGS ();

	private:

		#ifndef GENERATING_DOXYGEN_OUTPUT

		class PAGE_GENERAL : public MGUI::LAYOUT_PAGE {
			public:
				PAGE_GENERAL ();
				~PAGE_GENERAL ();
				void SaveSettings();
			private:
				MGUI::FORM_EDIT_NUMBER m_EditDelay;
				MGUI::CTRL_LABEL m_UnitDelay;
				MGUI::FORM_EDIT_NUMBER m_EditDistance;
				MGUI::CTRL_LABEL m_UnitDistance;
				virtual void OnInitPage ();
			};

		class PAGE_ELEMTYPE : public MGUI::LAYOUT_PAGE {
			public:
				PAGE_ELEMTYPE ();
				~PAGE_ELEMTYPE ();

				const GRE::DATATIPPARMS& GetValues (
					) const;

				//! Set object and element type DataTip is for.
				ERRVALUE SetValues (
					const RVC::OBJITEM& ObjItem,				//!< Object item reference
					ELEMTYPE ElemType,							//!< Element type
					const GRE::DATATIPPARMS &DataTipParms
					);
			private:
				GRE::DATATIPPARMS::FORM m_FormParms;
				virtual void OnInitPage ();
			};

		GRE::LAYER *m_layer;
		MGUI::LAYOUT_BOOK m_Book;
		PAGE_GENERAL m_PageGeneral;
		PAGE_ELEMTYPE *m_PageElemTypes;

		virtual ERRVALUE v_CreateContent ();
		virtual void v_OnOK ();

		DLG_DATATIPSETTINGS (const DLG_DATATIPSETTINGS&);
		DLG_DATATIPSETTINGS& operator= (const DLG_DATATIPSETTINGS&);

		#endif	// GENERATING_DOXYGEN_OUTPUT
	};

}	// End namespace GRE

#endif	// INC_GRE_DLGDATATIPSETTINGS
