/**
 * \file mgui/gridstyl.h
 * \brief MGUI functions for drawing style sample in CTRL_GRID.
 *
 * \if NODOC
 * $Id: gridstyl.h_v 1.4 2003/10/03 19:58:19 linux32build!build Exp $
 *
 * $Log: gridstyl.h_v $
 * Revision 1.4  2003/10/03 19:58:19  linux32build!build
 * Doxygen
 *
 * Revision 1.3  2003/10/01 22:32:31  dwilliss
 * doxygen
 *
 * Revision 1.2  2003/09/15 13:49:32  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.1  2002/10/09 17:38:15  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MGUI_GRIDSTYL_H
#define	INC_MGUI_GRIDSTYL_H

#ifndef	INC_MGUI_GRID_H
#include <mgui/grid.h>
#endif

#ifndef	INC_MI32_MGD2_H
#include <mi32/mgd2.h>
#endif

#ifndef GENERATING_DOXYGEN_OUTPUT
// Forward declarations.
struct POINTSTYLE;
struct LINESTYLE;
struct POLYSTYLE;
namespace RVC {
	class STYLE;
	}
#endif // GENERATING_DOXYGEN_OUTPUT

namespace MGUI {

//! Draw sample from POINTSTYLE in MGUI::CTRL_GRID.
void GridDrawStyleSample (
	const CTRL_GRID::CUSTOMDRAW& drawinfo,		//!< Custom drawing info from MGUI::CTRL_GRID
	const RVC::STYLE& StyleObj,					//!< Open RVC style object if required
	const POINTSTYLE& ElemStyle,					//!< Element style
	MGD::STYLESAMPLEFLAGS flags					//!< Flags
	);
	
//! Draw sample from LINESTYLE in MGUI::CTRL_GRID.
void GridDrawStyleSample (
	const CTRL_GRID::CUSTOMDRAW& drawinfo,		//!< Custom drawing info from MGUI::CTRL_GRID
	const RVC::STYLE& StyleObj,					//!< Open RVC style object if required
	const LINESTYLE& ElemStyle,					//!< Element style
	MGD::STYLESAMPLEFLAGS flags					//!< Flags
	);
	
//! Draw sample from POLYSTYLE in MGUI::CTRL_GRID.
void GridDrawStyleSample (
	const CTRL_GRID::CUSTOMDRAW& drawinfo,		//!< Custom drawing info from MGUI::CTRL_GRID
	const RVC::STYLE& StyleObj,					//!< Open RVC style object if required
	const POLYSTYLE& ElemStyle,					//!< Element style
	MGD::STYLESAMPLEFLAGS flags					//!< Flags
	);
	
}	// End namespace MGUI


#endif	// INC_MGUI_GRIDSTYL_H
