/**
 * \file ctrlpt.h <mi32/ctrlpt.h>
 * \brief CTRLPOINT definitions
 *
 * \if NODOC
 * $Id: ctrlpt.h_v 1.6 2013/04/18 20:52:14 mju Exp $
 *
 * $Log: ctrlpt.h_v $
 * Revision 1.6  2013/04/18 20:52:14  mju
 * Add typedefs.
 *
 * Revision 1.5  2006/06/13 20:55:38  mju
 * Add default inline ctors.
 *
 * Revision 1.4  2003/09/15 13:49:56  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.3  2001/12/11 16:23:07  scowan
 * Added swapping ctrlpoint 3's.
 *
 * Revision 1.2  1999/05/07 21:16:21  mju
 * header restruct.
 *
 * Revision 1.1  1999/04/28  17:36:37  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_CTRLPT_H
#define	INC_MI32_CTRLPT_H

#ifndef	INC_MI32_POINT_H
#include <mi32/point.h>
#endif

/*----------------------------------------------------------------------------*/
/*		Definitions for control point computation functions							*/
/*----------------------------------------------------------------------------*/

struct CTRLPOINT {
	DPOINT2D source;			//!<  Point in source coordinate system 
	DPOINT2D dest;				//!<  Point in destination coordinate system 
	CTRLPOINT (
		): source(0,0), dest(0,0) { }
	};

typedef CTRLPOINT CTRLPT2D;	//!< Preferred name

struct CTRLPOINT3 {
	DPOINT3D source;			//!<  Point in source coordinate system 
	DPOINT3D dest;				//!<  Point in destination coordinate system 
	FPOINT3D sourceaccur;	//!<  Accuracy of source coordinates 
	FPOINT3D destaccur;		//!<  Accuracy of destination coordinates 
	CTRLPOINT3 (
		): source(0,0,0), dest(0,0,0), sourceaccur(0,0,0), destaccur(0,0,0) { }
	};

inline void SwapBytes (
	CTRLPOINT3& pt
	) {
	SwapBytes(pt.source);
	SwapBytes(pt.dest);
	SwapBytes(pt.sourceaccur);
	SwapBytes(pt.destaccur);
	return;
	}

struct CTRLPOINT3D {
	DPOINT3D source;			//!<  Point in source coordinate system 
	DPOINT3D dest;				//!<  Point in destination coordinate system 
	CTRLPOINT3D (
		): source(0,0,0), dest(0,0,0) { }
	};

typedef CTRLPOINT3 CTRLPT3D;	//!< Preferred name

#endif	//!<  INC_MI32_CTRLPT_H 
