/**
*	\file <mi32/mistringlist.h>
*	\brief MISTRINGLIST defns
*
*	\if NODOC
*	$Id: mistringlist.h_v 1.2 2007/05/25 17:19:56 scowan Exp $
*
*	$Log: mistringlist.h_v $
*	Revision 1.2  2007/05/25 17:19:56  scowan
*	Added containsNoCase method.
*
*	Revision 1.1  2007/05/07 14:08:01  mju
*	Initial revision
*
*	\endif
**/

#ifndef	INC_MI32_MISTRINGLIST_H
#define	INC_MI32_MISTRINGLIST_H

#ifndef	INC_MI32_MISTRING_H
	#include <mi32/mistring.h>
#endif

#ifndef INC_MI32_MILIST_H
	#include <mi32/milist.h>
#endif


#ifdef MISYSTEMDLL
	#define CLASSLIBEXPORT MI_DLLCLASSEXPORT
#else
	#define CLASSLIBEXPORT MI_DLLCLASSIMPORT
#endif

class CLASSLIBEXPORT MISTRINGLIST : public MILIST<MISTRING> {
	public:

		//! Determine if specified string (using case insensitive comparison) is contained in list.
		//! Call Contains() for a case sensitive comparison.
		//! This does a linear search of the list, so consider efficiency implications when using.
		bool ContainsNoCase (
			const MISTRING& string
			) const {
			for (CONST_ITERATOR it = Begin(); (it != End()); ++it) {
				if (it->CompareNoCase(string) == 0) return (true);
				}
			return (false);
			}

};

#undef	CLASSLIBEXPORT
#endif	// INC_MI32_MISTRINGLIST_H
