/**
 * \file rvc/styletype.h 
 * \brief interface for the RVC::STYLE class.
 *
 * \if NODOC
 * $Id: styletype.h_v 1.4 2011/09/02 12:57:30 mju Exp $
 *
 * $Log: styletype.h_v $
 * Revision 1.4  2011/09/02 12:57:30  mju
 * Dox hdr.
 *
 * Revision 1.3  2011/09/02 12:41:29  mju
 * Exclude macro from dox.
 *
 * Revision 1.2  2006/09/18 17:53:43  scowan
 * Adjusted for new enums and pattern class names.
 *
 * Revision 1.1  2006/09/15 19:56:36  scowan
 * Initial revision
 *
 * \endif
**/

#ifndef INC_RVC_STYLETYPE_H
#define INC_RVC_STYLETYPE_H

namespace RVC {

//! Style type.
enum STYLETYPE {
	STYLETYPE_First = 0,
	STYLETYPE_Point = 0,
	STYLETYPE_Line = 1,
	STYLETYPE_Polygon = 2,
	STYLETYPE_Text = 3,
	STYLETYPE_NumTypes =	4
	};

#ifndef GENERATING_DOXYGEN_OUTPUT
DEFINE_ENUM_OP_INCREMENT(STYLETYPE)
#endif

//! Pattern type.
enum PATTERNTYPE {
	PATTERNTYPE_Symbol = 0,
	PATTERNTYPE_Line,
	PATTERNTYPE_Bitmap,
	PATTERNTYPE_Hatch,
	PATTERNTYPE_NumTypes
	};

#ifndef GENERATING_DOXYGEN_OUTPUT
DEFINE_ENUM_OP_INCREMENT(PATTERNTYPE)
#endif

}		//! End of RVC namespace

#endif 	// INC_RVC_STYLETYPE_H
