/**
 * \file rvc/uidbtable.h
 * \brief RVC User Interface functions related to database tables
 *
 * \if NODOC
 * $Id: uidbtable.h_v 1.2 2009/07/02 21:30:22 mju Exp $
 *
 * $Log: uidbtable.h_v $
 * Revision 1.2  2009/07/02 21:30:22  mju
 * Fix doxygen warning.
 *
 * Revision 1.1  2009/04/06 15:15:42  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_RVC_UIDBTABLE_H
#define	INC_RVC_UIDBTABLE_H

#ifndef	INC_RVC_DBTABLE_H
#include <rvc/dbtable.h>
#endif

namespace RVC {
namespace UI {

// Dialog to setup database field picklist related to existing table/field.
ERRVALUE DlgDbFieldSetupPickList (
	MDLGPARENT dlgparent,						//!< Parent for dialog
	const RVC::OBJITEM& ObjItemTableFor,	//!< Location of existing table picklist is for
	INT32 FieldNumFor								//!< Field in existing table picklist is for
	);

// Dialog to setup database field picklist related to new table/field.
ERRVALUE DlgDbFieldSetupPickList (
	MDLGPARENT dlgparent,						//!< Parent for dialog
	const RVC::OBJITEM& ObjItemDb,			//!< Location of databse object
	RVC::DBTABLE::FIELDINFO& FieldInfoFor	//!< Info for field picklist is for passed/returned
	);

}	// End namespace UI
}	// End namespace RVC

#endif	// INC_RVC_UIDBTABLE_H
