/**
 * \file rvc/uidlgdbbase.h
 * \brief RVC::UI::DLG_DB_BASE definitions
 *
 * \if NODOC
 * $Id: uidlgdbbase.h_v 1.1 2008/09/22 18:59:50 mju Exp $
 *
 * $Log: uidlgdbbase.h_v $
 * Revision 1.1  2008/09/22 18:59:50  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_RVC_UIDLGDBBASE_H
#define	INC_RVC_UIDLGDBBASE_H

#ifndef	INC_MGUI_DLGSHELL_H
#include <mgui/dlgshell.h>
#endif

#ifndef	INC_MI32_DBEDIT_H
#include <mi32/dbedit.h>
#endif

namespace RVC {
namespace UI {
//=====================================================================================================================

//! Base for database table viewing dialogs.
class DLG_DB_BASE : public MGUI::DLGSHELL {
	public:

		//! Constructor.
		DLG_DB_BASE (HELPID helpid);

		//! Destructor.
		virtual ~DLG_DB_BASE ();

		void OnChangeActiveList (
			) { v_OnChangeActiveList(); }

		void OnChangeACL (
			) { v_OnChangeACL(); }

		void OnChangeDescriptor (
			) { v_OnChangeDescriptor(); }

		ERRVALUE OnChangeStyle (
			) { return (v_OnChangeStyle()); }

		ERRVALUE Read (
			) { return (v_Read()); }

		ERRVALUE SaveSettings (
			) { return (v_SaveSettings()); }

		ERRVALUE Update (
			const DBEDIT::EVENT& event
			) { return (v_Update(event)); }

		ERRVALUE Write (
			) { return (v_Write()); }

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		DLG_DB_BASE (const DLG_DB_BASE&);
		DLG_DB_BASE& operator= (const DLG_DB_BASE&);
		#endif

		// Overridables.
		virtual void v_OnChangeActiveList () = 0;
		virtual void v_OnChangeACL () = 0;
		virtual void v_OnChangeDescriptor () = 0;
		virtual ERRVALUE v_OnChangeStyle () = 0;
		virtual ERRVALUE v_Read () = 0;
		virtual ERRVALUE v_SaveSettings () = 0;
		virtual ERRVALUE v_Update (const DBEDIT::EVENT& event) = 0;
		virtual ERRVALUE v_Write () = 0;
	};

//=====================================================================================================================
}	// End namespace UI
}	// End namespace RVC


#endif	// INC_RVC_UIDLGDBBASE_H
